/****************************************************************************
*
*   Copyright (c) 2008 www.societyofrobots.com
*   (please link back if you use this code!)
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License version 2 as
*   published by the Free Software Foundation.
*
*   Alternatively, this software may be distributed under the terms of BSD
*   license.
*
****************************************************************************/

/******define servo functions******/
//define electronics/motors/servos to specific hardware pins

#define head_pan( position )					servo(PORTA,0,position)
#define head_tilt( position )					servo(PORTA,1,position)

#define left_foot( position )					servo(PORTH,6,position)
#define left_ankle( position )					servo(PORTH,5,position)
#define left_knee( position )					servo(PORTH,4,position)
#define left_thigh( position )					servo(PORTH,3,position)
#define left_hip( position )					servo(PORTH,2,position)
#define left_collar( position )					servo(PORTE,4,position)
#define left_shoulder( position )				servo(PORTE,3,position)
#define left_elbow( position )					servo(PORTE,2,position)

#define right_foot( position )					servo(PORTC,0,position)
#define right_ankle( position )					servo(PORTC,1,position)
#define right_knee( position )					servo(PORTC,2,position)
#define right_thigh( position )					servo(PORTC,3,position)
#define right_hip( position )					servo(PORTC,4,position)
#define right_collar( position )				servo(PORTA,6,position)
#define right_shoulder( position )				servo(PORTA,5,position)
#define right_elbow( position )					servo(PORTA,4,position)

/**********************************/
